Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdfa
Class RDFaExtractorTest

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase
              org.apache.any23.extractor.rdfa.RDFaExtractorTest

    public class RDFaExtractorTest

extends AbstractRDFaExtractorTestCase

Reference Test Class for `RDFaExtractor`.

Field Summary

Fields inherited from class org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase
`vDCTERMS, vFOAF`

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`RDFaExtractorTest()`

Method Summary
`protected org.apache.any23.extractor.ExtractorFactory<?>` | `getExtractorFactory()`
`void` | `testRDFa11PrefixBackwardCompatibility()` Taken from the GoodRelations test cases.
`void` | `testTolerantParsing()` Tests that the default parser settings enable tolerance in data type parsing.

Methods inherited from class org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase
`testBasic, testDrupalTestPage, testEmptyDatatypeDeclarationWithInnerXMLTags, testIncompleteTripleManagement, testRDFa11CURIEs`

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDFaExtractorTest

    public RDFaExtractorTest()

Method Detail

### testRDFa11PrefixBackwardCompatibility

    public void testRDFa11PrefixBackwardCompatibility()
                                               throws org.openrdf.repository.RepositoryException,
                                                      org.openrdf.rio.RDFHandlerException,
                                                      IOException,
                                                      org.openrdf.rio.RDFParseException

  Taken from the GoodRelations test cases. It checks if the extraction is the same when the namespaces are defined in RDFa1.0 or RDFa1.1 respectively.

  Throws:
    `org.openrdf.repository.RepositoryException`
    `IOException`
    `org.openrdf.rio.RDFHandlerException`
    `org.openrdf.rio.RDFParseException`

### testTolerantParsing

    public void testTolerantParsing()

  Tests that the default parser settings enable tolerance in data type parsing.

### getExtractorFactory

    protected org.apache.any23.extractor.ExtractorFactory<?> getExtractorFactory()

  Specified by:
    `getExtractorFactory` in class `AbstractExtractorTestCase`
  Returns:
    the factory of the extractor to be tested.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.